#ident	"$Header: /var/cvsroot/htdb/src/bin/htdb_config.c,v 1.2 2004/06/08 08:07:26 del Exp $"

/*
	Copyright  1994-2004 David Whittemore
	<del@adjective.com>, all rights reserved.

	Permission to use, copy, modify, and non-commercially distribute
	this software and its documentation for any purpose is hereby granted
	without fee, provided that the above copyright notice appear in all
	copies and that both that copyright notice and this permission notice
	appear in supporting documentation.  No representations are made about
	the suitability of this software for any purpose.  It is provided
	"as is" without express or implied warranty.
 */
#include	"htdbconfig.h"

int main(int argc, char **argv)
{
	if (argc == 1) {
		printf("Usage: %s [OPTIONS]\n", argv[0]);
		printf("Options:\n");
		printf("   --cflags   [%s]\n", COMPILE_CFLAGS);
		printf("   --include  [%s]\n", COMPILE_INCLUDE);
		printf("   --libs     [%s]\n", COMPILE_LIBS);
		printf("   --etc      [%s]\n", COMPILE_ETC);
		printf("   --bin      [%s]\n", COMPILE_BIN);
		printf("   --version  [%s]\n", LIBHTDB_VERSION);
	} else {
		while (--argc > 0) {
			if (strcasestr(argv[argc], "--cflags"))
				printf("%s\n", COMPILE_CFLAGS);
			else if (strcasestr(argv[argc], "--include"))
				printf("%s\n", COMPILE_INCLUDE);
			else if (strcasestr(argv[argc], "--libs"))
				printf("%s\n", COMPILE_LIBS);
			else if (strcasestr(argv[argc], "--etc"))
				printf("%s\n", COMPILE_ETC);
			else if (strcasestr(argv[argc], "--bin"))
				printf("%s\n", COMPILE_BIN);
			else if (strcasestr(argv[argc], "--version"))
				printf("%s\n", LIBHTDB_VERSION);
		}
	}
}
